Attend External Events 2018: Embedded Linux Conference Europe: Booth
Closed, ResolvedPublic

Description

Aim

  • Showcase KDE's embedded technologies: Plasma Mobile, KDE/Qt software for automotive hardware, etc.
  • Showcase KDE's convergent frameworks (namely Kirigami)
  • Interest developers and contributors
  • Interest sponsors, hardware vendors, and companies that want to use KDE's tehcnologies
  • Collect leads and contacts
  • ...

Material

  • Hardware, ideally:
    • Mobile phone running Plasma Mobile (@jriddell)
    • Slimbook @jriddell
    • Pinebook running Plasma (thank you @jriddell )
    • Nexus 5X with Plasma Mobile @jriddell
    • Different make and model of mobile phone running Plasma Mobile (Fairphone 2? -- @paulb has to learn how to flash Plasma Mobile on to it)
    • Purism proto-hardware running Plasma Mobile (does anybody have one of these? Should we ask Purism for one?)
    • Automotive hardware running Qt/KDE-based infotainment software (@toscalix ? Please confirm)
    • Computer with Kirigami-based apps to demonstrate how they adapt to desktop and mobile (any laptop will d, right?) @jriddell Slimbook, Pinebook and Nexus has apps
    • SBCs running Plasma and/or KDE apps, like the Rasoberry Pi with a screen @vkrause showed at Akademy 2018 + Pine64 (@paulb can provide 1)
  • Table skirt (this? ~£50 -- but reusable!) (Ordered. Will be delivered to @jriddell)
  • Posters/Banner (@jriddell will bring his)
  • Polo shirts
  • Vertical banner @jriddell
  • Extension cords @jriddell
  • UK plugs, adapters and cables @jriddell
  • Powered USB hub for charging @kcoyle
  • Big monitor (48''+) on 2m high floor stand (@jriddell got one)
  • Big table monitor @kcoyle can bring one if needed, needs delivery coordination with @jriddell
  • Stickers
  • Business cards?

...

Staff

@jriddell
@adridg
@paulb
@kcoyle (part time)
@toscalix (part time)

TODO

  • Agree on a theme related to the topic of the conference
  • Obtain an as varied selection of devices running and embedded version of Plasma and mobile and convergent KDE apps
  • Order business cards
  • Stickers?
  • Rent big screen on a stand like for EduCode (?)
  • Make video QML slideshow (how do we do this @adridg ?) or maybe just a video we can play on a loop
  • Recruit 1 or 2 more people to staff the booth
  • ...
paulb created this task.Sep 6 2018, 10:29 PM
paulb triaged this task as Normal priority.
paulb added a subscriber: hein.
paulb added a comment.EditedSep 7 2018, 7:31 AM

Things I would like to see on the booth's table

  • 2 different models and makes of off-the-shelf mobile phones running Plasma Mobile
  • Purism proto-hardware running Plasma Mobile
  • Automotive hardware running Qt/KDE-based infotainment software
  • Pinebook running Plasma
  • Computer with Kirigami-based apps to demonstrate how they adapt to desktop and mobile
  • SBCs running Plasma and/or KDE apps

I can loan a FreePhone 2 and a Pine64, but would need assistance getting Plasma on them.

paulb updated the task description. (Show Details)Sep 8 2018, 10:11 AM
paulb updated the task description. (Show Details)Sep 8 2018, 10:45 AM
paulb updated the task description. (Show Details)Sep 10 2018, 10:46 AM
paulb updated the task description. (Show Details)
paulb updated the task description. (Show Details)
paulb updated the task description. (Show Details)Sep 16 2018, 10:16 AM
bshah added a comment.Sep 17 2018, 5:01 PM
  • Showcase Halium

As mentioned on IRC, Halium project is one of project where we are collaborating with the other organizations BUT, Halium project is neither good showcase of the KDE technologies nor, is something to showcase. Halium project is kind of legally grey area (in terms of binary blobs and stuff) and is completely independent of KDE community.

I have both hats, Plasma Mobile developer and Project Halium co-founder. But as a KDE developer I don't entirely like idea of promoting halium. If halium team wants to showcase halium they can go to event on their own capacity.

paulb added a comment.Sep 17 2018, 6:21 PM
In T9649#160381, @bshah wrote:
  • Showcase Halium

As mentioned on IRC, Halium project is one of project where we are collaborating with the other organizations BUT, Halium project is neither good showcase of the KDE technologies nor, is something to showcase. Halium project is kind of legally grey area (in terms of binary blobs and stuff) and is completely independent of KDE community.

I have both hats, Plasma Mobile developer and Project Halium co-founder. But as a KDE developer I don't entirely like idea of promoting halium. If halium team wants to showcase halium they can go to event on their own capacity.

I see your point of view and having Halium on display is not essential, but if we did decide to showcase Halium in come way, it would not be by any means centre stage. I would like to hear more opinions, since I don't have a strong one on this.

I would like to ask, though: If Halium gets more support, will it help Plasma Mobile in any way?

bshah added a comment.Sep 20 2018, 5:40 PM

I would like to hear more opinions, since I don't have a strong one on this.

But I do have strong opinion on this, as both co-founder of Halium project, and KDE developer that it doesn't make sense to showcase Halium.

@jensreuterberg has proposed an excellent theme: "You are here!", visually represented with stylised maps, charting the future of mobile and embedded (for ELC, the theme can be re-used for ever events with tweaks) with the starting point being KDE's current offering.

paulb updated the task description. (Show Details)Sep 21 2018, 7:57 AM
paulb updated the task description. (Show Details)
paulb updated the task description. (Show Details)

I have:
pinebook
roll up KDE poster with stand
nexus 5 for mobile
t-shirts, jumpers etc if we want to sell any
brexity power cables

paulb added a comment.Sep 21 2018, 5:33 PM

That ticks a bunch of boxes

I have:
pinebook

Great. Is there a way to get a similar version of Neon as the Pinebooks have on to it? Or is it better it have Plasma Mobile?

roll up KDE poster with stand

Out of curiosity, what's on the poster?

nexus 5 for mobile

With Plasma Mobile? Because that would be great. I am not sure how to get Plasma Mobile onto the Fariphone, but I am willing to try.

t-shirts, jumpers etc if we want to sell any

We can try. I'm not sure we are allowed to sell stuff, but I doubt anybody would protest. The FSF and FSFE always sells stuff whenever they go, so...

brexity power cables

Forgot about those. Very useful. Thanks

paulb updated the task description. (Show Details)Sep 21 2018, 5:33 PM
paulb updated the task description. (Show Details)Sep 25 2018, 8:20 AM
paulb updated the task description. (Show Details)Sep 28 2018, 11:00 AM
paulb updated the task description. (Show Details)
paulb updated the task description. (Show Details)Oct 1 2018, 6:23 PM
paulb added a subscriber: kcoyle.
paulb updated the task description. (Show Details)Oct 1 2018, 6:29 PM
paulb updated the task description. (Show Details)Oct 1 2018, 6:43 PM
paulb updated the task description. (Show Details)
jriddell updated the task description. (Show Details)Oct 2 2018, 10:05 AM
jriddell updated the task description. (Show Details)Oct 2 2018, 10:18 AM
kcoyle updated the task description. (Show Details)Oct 2 2018, 10:21 AM
jriddell moved this task from To Do to Work in Progress on the Plasma board.Oct 11 2018, 1:57 PM
paulb updated the task description. (Show Details)Oct 11 2018, 3:50 PM
paulb updated the task description. (Show Details)
jriddell updated the task description. (Show Details)Oct 11 2018, 3:53 PM

So those table signs, those would be clamped in those perspex-standy things so you can, for instance, set the "Pinebook" sign next to a Pinebook, pre-answering the "what's that?" question.

Yep, acts as prompt for us and them, works well at FOSDEM for people who follow them.

Do we need a couple of these: https://www.staples.nl/reclamehouder-a4-schuin/cbs/2411073.html?promoCode=&Effort_Code=WW&Find_Number=2411073&m=0&isSubscription=False to clamp them in? Something to pick up on saturday at a random office-supplies store?

I have 3 of these from FOSDEM

Business cards:

  • I'm going to use my (very) old ones, since neither my email nor my phone # has changed in all that time. I'll just scratch off "vice-president, KDE e.V.".
  • If we actually *have* a business card template (PDF? Scribus? Krita?) that can be adapted by others, it should go on community.k.o, right?

Single-Board Computers:

  • I can bring a rock64 and/or a pine64, and a pinebook
paulb updated the task description. (Show Details)Oct 19 2018, 7:39 AM
paulb updated the task description. (Show Details)
  • Do we have a dress code in mind for this? Like, KDE India T-shirts or similar? Polo shirts? I can just throw a bunch of KDE-branded clothes (for me) in the suitcase and see what happens, too.
  • None of my SBC's have (touch)screens unless you count the pinebook as one.

Travel info:

  • I'm arriving saturday afternoon in Edi
  • I'm leaving thursday noon from Edi

I usually wear my KDE neon shirt these days, smart, relevant and stands out

paulb added a comment.EditedOct 19 2018, 10:45 AM

I don't have any KDE branded shirts or polos...

@adridg the Pinebook has a touchscreen?

My plane lands at 21:20 on Sunday

@toscalix says he will bring the Raspberry Pi with the 7'' screen @vkrause was showing at Akademy. @vkrause has sent me a link to an update image we can use, so SBC-wise we're more or less okay, I think.

paulb updated the task description. (Show Details)Oct 19 2018, 11:01 AM
  • Jon has a box of T-shirts, which we can sell at a pinch and also just wear for consistency (but let's not get stuck on that, and there's something to be said for KDE-in-diversity shirts, e.g. wear what you want)
  • I'll leave my SBCs at home, and just bring the pinebook and slimbook
  • Jon has a box of T-shirts, which we can sell at a pinch and also just wear for consistency (but let's not get stuck on that, and there's something to be said for KDE-in-diversity shirts, e.g. wear what you want)

True

  • I'll leave my SBCs at home, and just bring the pinebook and slimbook

Out of curiosity... Do you have any SBCs that are not RPis that you have been able to run Plasma on? Say, on a Pine64?

I sent my generally-positive review of the event to the -promo list. Materials have been sent to Dave for the next event.

paulb closed this task as Resolved.Nov 2 2018, 12:05 PM